- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
API Version : 2026-09-01
Retrieves a list of GlobalForwardingRule resources available to the specified project.
HTTP request
GET https://compute.googleapis.com/compute/v1/projects/{project}/global/forwardingRules?$apiVersion=2026-09-01 The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results per page that should be returned. If the number of available results is larger than |
pageToken |
Specifies a page token to use. Set |
filter |
A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either For example, if you are filtering Compute Engine instances, you can exclude instances named The You can also filter nested fields. For example, you could specify To filter on multiple expressions, provide each separate expression within parentheses. For example: By default, each expression is an If you want to use a regular expression, use the
The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use You cannot combine constraints on multiple fields using regular expressions. |
orderBy |
Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using Currently, only sorting by |
Request body
The request body must be empty.
Response body
Contains a list of ForwardingRule resources.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "id": string, "items": [ { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "region": string, "IPAddress": string, "IPProtocol": enum, "portRange": string, "ports": [ string ], "target": string, "selfLink": string, "selfLinkWithId": string, "loadBalancingScheme": enum, "subnetwork": string, "network": string, "backendService": string, "serviceDirectoryRegistrations": [ { "namespace": string, "service": string, "serviceDirectoryRegion": string } ], "serviceLabel": string, "serviceName": string, "networkTier": enum, "labels": { string: string, ... }, "labelFingerprint": string, "attachedExtensions": [ { "reference": string } ], "ipVersion": enum, "fingerprint": string, "allPorts": boolean, "allowGlobalAccess": boolean, "metadataFilters": [ { "filterMatchCriteria": enum, "filterLabels": [ { "name": string, "value": string } ] } ], "isMirroringCollector": boolean, "sourceIpRanges": [ string ], "pscConnectionId": string, "pscConnectionStatus": enum, "baseForwardingRule": string, "allowPscGlobalAccess": boolean, "noAutomateDnsZone": boolean, "ipCollection": string, "externalManagedBackendBucketMigrationState": enum, "externalManagedBackendBucketMigrationTestingPercentage": number } ], "nextPageToken": string, "selfLink": string, "warning": { "code": enum, "message": string, "data": [ { "key": string, "value": string } ] } } |
| Fields | |
|---|---|
kind |
Output only. Type of resource. |
id |
Output only. Unique identifier for the resource; defined by the server. |
items[] |
A list of ForwardingRule resources. |
items[].kind |
Output only. Type of the resource. Always |
items[].id |
Output only. The unique identifier for the resource. This identifier is defined by the server. |
items[].creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
items[].name |
Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression For Private Service Connect forwarding rules that forward traffic to Google APIs, the forwarding rule name must be a 1-20 characters string with lowercase letters and numbers and must start with a letter. For global external Passthrough Network Load Balancer forwarding rules, the forwarding rule name must be 1-43 characters long. For each global external Passthrough Network Load Balancer forwarding rule (a parent forwarding rule) that you create, Google Cloud generates two output-only child forwarding rules that are named by concatenating the parent forwarding rule name with the |
items[].description |
An optional description of this resource. Provide this property when you create the resource. |
items[].region |
Output only. URL of the region where the regional forwarding rule resides. This field is not applicable to global forwarding rules. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
items[].IPAddress |
IP address for which this forwarding rule accepts traffic. When a client sends traffic to this IP address, the forwarding rule directs the traffic to the referenced
Otherwise, you can optionally specify an IP address that references an existing static (reserved) IP address resource. When omitted, Google Cloud assigns an ephemeral IP address. Use one of the following formats to specify an IP address while creating a forwarding rule:
The IP address can only be set at creation. Once set, it cannot be updated. The forwarding rule's When reading an When creating a global external Passthrough Network Load Balancer forwarding rule (a parent forwarding rule), you must use the |
items[].IPProtocol |
The IP protocol to which this rule applies. For protocol forwarding, valid options are The valid IP protocols are different for different load balancing products as described in Load balancing features. |
items[].portRange |
The The
For external forwarding rules, two or more forwarding rules cannot use the same For internal forwarding rules within the same VPC network, two or more forwarding rules cannot use the same @pattern: \d+(?:-\d+)? |
items[].ports[] |
The The
For external forwarding rules, two or more forwarding rules cannot use the same For internal forwarding rules within the same VPC network, two or more forwarding rules cannot use the same @pattern: \d+(?:-\d+)? |
items[].target |
The URL of the target resource to receive the matched traffic. For regional forwarding rules, this target must be in the same region as the forwarding rule. For global forwarding rules, this target must be a global load balancing resource. The forwarded traffic must be of a type appropriate to the target object.
The following load balancers cannot set the target field (they should set the backendService field instead):
|